> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Checkout

> Error codes for POST /v3/checkout

### POST v3/checkout

| Code  | Message                                                                                          | HTTP Status |
| ----- | ------------------------------------------------------------------------------------------------ | ----------- |
| 15503 | The requested invoice currency is not supported in the customer/account country's corridor.      | 400         |
| 15504 | Field is required and value must be greater than 0                                               | 400         |
| 15511 | Payment link expiry can not be less than current time                                            | 400         |
| 15512 | Number field in phone is required and should be a valid value                                    | 400         |
| 15523 | Sum of amount in transaction data should be less than or equal to payin amount                   | 400         |
| 15524 | Please provide a valid date format dd-mm-yyyy, example- 20-10-2023                               | 400         |
| 15525 | Please provide a valid payment type, it can be either deposit or balance                         | 400         |
| 15528 | The amount passed in the invoice amount does not match the sum of the amounts provided for items | 400         |
| 15531 | Maximum allowed date range is 60 days                                                            | 400         |
| 19003 | Customer country not enabled for transaction                                                     | 400         |
| 19006 | Customer details not available                                                                   | 400         |
| 19007 | Account details not available                                                                    | 400         |
| 19009 | Parties should not be identical                                                                  | 400         |
| 19012 | There are no payment methods to serve this txn                                                   | 400         |
| 19013 | Can not remove payment method specified in payment methods                                       | 400         |

#### Internal Service Errors

| Code | Message                            | HTTP Status |
| ---- | ---------------------------------- | ----------- |
| 4000 | Invalid from currency provided     | 400         |
| 4001 | Invalid to currency provided       | 400         |
| 4012 | Invalid from\_amount provided      | 400         |
| 4027 | Non-fiat currency is not supported | 400         |
